/*
 * Copyright (c) 1995-2011, Index Data
 * All rights reserved.
 * See the file LICENSE for details.
 */

package com.indexdata.torus2.model;

import java.util.Date;
import java.util.List;

/**
 *
 * @author jakub
 */
public class ResultSet {
  private int overidden;
  private int local;
  private List<Record> records;
  private Facets facets;
  private Date lastModified;

  public ResultSet(List<Record> records,
    Facets facets, int overidden, int local, Date lastModified) {
    this.overidden = overidden;
    this.local = local;
    this.records = records;
    this.facets = facets;
    this.lastModified = lastModified;
  }

  public int overiddenCount() {
    return overidden;
  }

  public int localCount() {
    return local;
  }

  public Facets getFacets() {
    return facets;
  }

  public List<Record> getRecords() {
    return records;
  }

  public Date getLastModified() {
    return lastModified;
  }

}
