/*
 * Copyright (c) 1995-2012, Index Datassss
 * All rights reserved.
 * See the file LICENSE for details.
 */
package com.indexdata.torus2.query.match;

import com.indexdata.torus2.model.Record.Layer;
import com.indexdata.torus2.model.Record.Layer.Field;

/**
 *
 * @author jakub
 */
public class FixedFieldMatcher implements LayerMatcher {
  private TypeAwareTermMatcher matcher;
  private String index;

  public FixedFieldMatcher(TypeAwareTermMatcher matcher, String index) {
    this.matcher = matcher;
    this.index = index;
  }

  @Override
  public boolean match(Layer layer) {
    Field field = layer.getField(index);
    if (field == null)
      return false;
    return matcher.match(field.getContents());
  }
}
