/*
 * Copyright (c) 1995-2012, Index Datassss
 * All rights reserved.
 * See the file LICENSE for details.
 */
package com.indexdata.torus2.query.match.term;

import com.indexdata.torus2.query.Tokenizer;
import com.indexdata.torus2.query.match.TermMatcher;
import static com.indexdata.torus2.query.MatchingUtil.*;
import org.apache.log4j.Logger;

/**
 *
 * @author jakub
 */
public class AdjacencyTermMatcher implements TermMatcher {
  private String normalizedTerm;
  private static Logger logger = Logger.getLogger("com.indexdata.torus2");

  public AdjacencyTermMatcher(String term) {
    normalizedTerm = normalizeTokens(term, " ", Tokenizer.TokenizerType.QUERY);
    normalizedTerm = deAnchorTerm(normalizedTerm);
  }

  @Override
  public boolean match(String value) {
    String normalizedValue = normalizeTokens(value, " ", 
      Tokenizer.TokenizerType.FIELD);
    normalizedValue = surround(normalizedValue, " ");
    if (logger.isDebugEnabled()) {
      logger.debug("normalized: term '" + normalizedTerm 
        + "' ?= value '" + normalizedValue + "'");
    }
    return equalsWildcard(normalizedTerm, 0, normalizedValue, 0);
  }
}
