/*
 * Copyright (c) 1995-2011, Index Data
 * All rights reserved.
 * See the file LICENSE for details.
 */
package com.indexdata.torus2.util;

import java.io.UnsupportedEncodingException;
import java.net.URLEncoder;

/**
 *
 * @author jakub
 */
public class URIHelper {
  
  /**
   * This method encodes URI components according to  RFC-3986 rather than the 
   * "application/x-www-form-urlencoded" MIME as URLEncoder does. The rules are 
   * almost the same, but spaces are encoded into %20 rather than +.
   * @param uriComponent
   * @return encoded URI component
   * @throws UnsupportedEncodingException 
   */
  public static String encode(String uriComponent) throws UnsupportedEncodingException {
    return URLEncoder.encode(uriComponent, "UTF-8").replaceAll("[+]", "%20");
  }
  
}
